import 'package:analytics_example/main_screen.dart';
import 'package:di_analytics/di_analytics.dart';
import 'package:flutter/material.dart';

class LoginScreen extends StatefulWidget {
  const LoginScreen({Key? key}) : super(key: key);

  @override
  _LoginScreenState createState() => _LoginScreenState();
}

class _LoginScreenState extends State<LoginScreen> {
  @override
  void initState() {
    super.initState();
    final sharedParams = {
      "param_1": "DI",
      "param_2": "Login",
    };

    DIAnalytics.instance.addSharedParameters(sharedParams);
  }

  void _logAnEvent() {
    final param = {"a": "b"};
    DIAnalytics.instance.logEvent("login_screen_event", parameters: param);
  }

  void _login() {
    DIAnalytics.instance.logEvent("tap_btn_login");
    Navigator.of(context).pushAndRemoveUntil(
        MaterialPageRoute(builder: (context) => const MainScreen()),
        (route) => false);
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SizedBox(
        width: double.infinity,
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            TextButton(
              onPressed: _logAnEvent,
              child: const Text("Log an event"),
            ),
            TextButton(
              onPressed: _login,
              child: const Text("Login"),
            )
          ],
        ),
      ),
    );
  }
}
