import 'dart:async';
import 'dart:io';

import 'package:analytics_example/login_screen.dart';
import 'package:flutter/material.dart';

import 'package:di_analytics/di_analytics.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  static const apiKey = "c2c09332-14a1-4eb1-8964-2d85b2a561c8";
  static const trackingUrl =
      "https://dev.datainsider.co/api/tracking/events/track";
  final appInit = Completer();
  @override
  void initState() {
    super.initState();
    initAnalyticsSDK();
  }

  void initAnalyticsSDK() async {
    DIAnalytics.instance.setDebugLogEnabled(true);
    if (Platform.isIOS) {
      // android don't need to call this
      await DIAnalytics.instance
          .configure(apiKey: apiKey, trackingUrl: trackingUrl);
    }

    appInit.complete(true);
  }

  @override
  Widget build(BuildContext context) {
    return FutureBuilder(
        future: appInit.future,
        builder: (context, snapshot) {
          if (snapshot.data == true) {
            return const MaterialApp(
              home: LoginScreen(),
            );
          }

          return const MaterialApp(
            home: Center(
              child: CircularProgressIndicator(),
            ),
          );
        });
  }
}
