import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:di_analytics/di_analytics.dart';

void main() {
  const MethodChannel channel = MethodChannel('co.datainsider.analytics');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '1.0.0';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getVersion', () async {
    expect(await DIAnalytics.instance.getVersion(), '1.0.0');
  });
}
